import type { UmbFormControlMixinInterface } from '../mixins/form-control.mixin.js';
import { UmbControllerBase } from '../../../../libs/class-api/index.js';
import type { UmbControllerHost } from '../../../../libs/controller-api/index.js';
/**
 * Binds server validation to a form control.
 * This controller will add a custom error to the form control if the validation context has any messages for the specified data path.
 */
export declare class UmbBindServerValidationToFormControl extends UmbControllerBase {
    #private;
    set value(value: unknown);
    constructor(host: UmbControllerHost, formControl: UmbFormControlMixinInterface<unknown>, dataPath: string);
    validate(): Promise<void>;
    /**
     * Resets the validation state of this validator.
     */
    reset(): void;
    focusFirstInvalidElement(): void;
    destroy(): void;
}
